linux: 3.2.0-50.76 -proposed tracker

Bug #1199470 reported by Brad Figg on 2013-07-09
This bug report is a duplicate of:  Bug #1204623: linux: 3.2.0-51.77 -proposed tracker. Edit Remove
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Brendan Donegan
Prepare-package
Medium
Brad Figg
Prepare-package-lbm
Medium
Brad Figg
Prepare-package-meta
Medium
Brad Figg
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Ubuntu Stable Release Updates Team
Promote-to-updates
Medium
Ubuntu Stable Release Updates Team
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.2.0-50.76 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 09. July 2013 17:50 UTC
kernel-stable-Prepare-package-end:Wednesday, 10. July 2013 03:09 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 10. July 2013 03:09 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 10. July 2013 08:02 UTC
kernel-stable-Verification-testing-start:Wednesday, 10. July 2013 09:03 UTC
kernel-stable-Verification-testing-end:Wednesday, 17. July 2013 16:03 UTC
kernel-stable-Certification-testing-start:Wednesday, 17. July 2013 16:04 UTC
kernel-stable-Security-signoff-start:Wednesday, 17. July 2013 16:04 UTC
kernel-stable-Regression-testing-start:Wednesday, 17. July 2013 16:04 UTC
kernel-stable-Security-signoff-end:Thursday, 18. July 2013 04:04 UTC
kernel-stable-Regression-testing-end:Thursday, 18. July 2013 14:02 UTC
kernel-stable-phase:TestFail
kernel-stable-phase-changed:Wednesday, 24. July 2013 16:03 UTC
kernel-stable-Certification-testing-end:Wednesday, 24. July 2013 16:03 UTC

CVE References

Brad Figg (brad-figg) on 2013-07-09
tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1199597
linux-armadaxp - bug 1199598
linux-lowlatency - bug 1199599

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2013-07-10
description: updated
Brad Figg (brad-figg) on 2013-07-10
description: updated
Brad Figg (brad-figg) on 2013-07-17
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-07-18
description: updated
Para Siva (psivaa) wrote :

No regressions seen

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-07-18
description: updated

Hardware Certification have begun testing this -proposed kernel.

The Hardware Certification team has encountered the following regression during testing: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1204548

Currently one system is confirmed to be affected, but it appears the issue is actually widespread and the report will be updated as more hardware is confirmed to be affected and/or the common BT hardware module is identified.

The bug mentioned above seems to be a genuine regression so I'm marking this as failed. The test report from this run is here: http://people.canonical.com/~hwcert/sru-testing/precise/3.2.0-50.76/precise-proposed.html

tags: added: certification-testing-failed

The bug was tagged as certification-testing-failed

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (8.8 KiB)

This bug was fixed in the package linux - 3.2.0-51.77

---------------
linux (3.2.0-51.77) precise; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1199470

  [ Upstream Kernel Changes ]

  * Bluetooth: Fix invalid length check in l2cap_information_rsp()
    - LP: #1204548

linux (3.2.0-50.76) precise; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1199470

  [ Steve Conklin ]

  * SAUCE: update configs for new atheros option

  [ Upstream Kernel Changes ]

  * Revert "serial: 8250_pci: add support for another kind of NetMos
    Technology PCI 9835 Multi-I/O Controller"
    - LP: #1190967
  * ata_piix: add PCI IDs for Intel BayTail
    - LP: #1193029
  * libata: make ata_exec_internal_sg honor DMADIR
    - LP: #1193029
  * cfg80211: check wdev->netdev in connection work
    - LP: #1193029
  * cifs: fix potential buffer overrun when composing a new options string
    - LP: #1193029
  * mac80211: close AP_VLAN interfaces before unregistering all
    - LP: #1193029
  * drm/radeon: fix card_posted check for newer asics
    - LP: #1193029
  * xfs: kill suid/sgid through the truncate path.
    - LP: #1193029
  * tg3: Add New 5719 Read DMA workaround
    - LP: #1193029
  * tg3: Add read dma workaround for 5720
    - LP: #1193029
  * ALSA: usb-audio: fix possible hang and overflow in
    parse_uac2_sample_rate_range()
    - LP: #1193029
  * ALSA: usb-audio: avoid integer overflow in create_fixed_stream_quirk()
    - LP: #1193029
  * xen-netback: remove skb in xen_netbk_alloc_page
    - LP: #1193029
  * netback: remove redundant assignment
    - LP: #1193029
  * xen-netback: fix sparse warning
    - LP: #1193029
  * xen-netback: coalesce slots in TX path and fix regressions
    - LP: #1193029
  * xen-netback: don't disconnect frontend when seeing oversize packet
    - LP: #1193029
  * xen-netback: remove redundent parameter in netbk_count_requests
    - LP: #1193029
  * xen-netback: avoid allocating variable size array on stack
    - LP: #1193029
  * xen-netback: better names for thresholds
    - LP: #1193029
  * net: Add net_ratelimited_function and net_<level>_ratelimited macros
    - LP: #1193029
  * xen-netfront: reduce gso_max_size to account for max TCP header
    - LP: #1193029
  * jfs: fix a couple races
    - LP: #1193029
  * xen/events: Handle VIRQ_TIMER before any other hardirq in event loop.
    - LP: #1193029
  * b43legacy: Fix crash on unload when firmware not available
    - LP: #1193029
  * ext4: lock i_mutex when truncating orphan inodes
    - LP: #1193029
  * thinkpad-acpi: recognize latest V-Series using DMI_BIOS_VENDOR
    - LP: #1193029
  * ftrace: Move ftrace_filter_lseek out of CONFIG_DYNAMIC_FTRACE section
    - LP: #1193029
  * USB: serial: ftdi_sio: Handle the old_termios == 0 case e.g.
    uart_resume_port()
    - LP: #1193029
  * USB: ftdi_sio: Quiet sparse noise about using plain integer was NULL
    pointer
    - LP: #1193029
  * drm/gma500: Increase max resolution for mode setting
    - LP: #1193029
  * xhci-mem: init list heads at the beginning of init
    - LP: #1193029
  * xhci: fix list access before init
    - LP: #1193029
  * xhci - correct comp_mode_recovery_timer on return from hi...

Read more...

Changed in linux (Ubuntu Precise):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers